/**
 * @file MkimageString.cpp
 * @date 2010/03/07 新規作成
 * @author
 *
 * mkimageコマンド文字列作成クラス
 */

#ifndef _MKIMAGE_STRING_H_
#define _MKIMAGE_STRING_H_

#include <string>
#include "CheckProduct.h"
#include "MkimageString.h"

class MkimageString{
public :
	/*! デフォルトコンストラクタ */
	MkimageString();
#ifdef TEST
	ReturnValue		setFilename(std::string filename);
#endif
	ReturnValue		factory(std::string& command_string);
private :
	std::string		m_FirstHalf;
	std::string		m_LastHalf;
	std::string		m_Filename;
	CheckProduct	m_CheckProduct;
};
#endif /* _MKIMAGE_STRING_H_ */
