/**
 * @file Test2.h
 * @date 2010/02/24 新規作成
 * @author
 *
 * Test2クラス
 */

#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include "Define.h"
#include "Test2.h"

/**
 * デフォルトコンストラクタ
 */
Test2::Test2(){
}

/**
 * test関数
 */
ReturnValue Test2::run()
{
	assert( test1() == OK );
	assert( test2() == OK );
	return OK;
}

ReturnValue Test2::test1()
{
	m_RunCommand.getNandlogicalString().setFilename("test2.txt");
	m_RunCommand.getMkimageString().setFilename("test2.txt");
	m_RunCommand.runCommand("./");
	m_RunCommand.getManageThread().getControlThread().waitForCompletion();
	if( m_RunCommand.getManageThread().getData().getData().isBegun != true ){
		printf("test1 NG\n");
		return NG;
	}
	if( m_RunCommand.getManageThread().getData().getData().isEnded != true ){
		printf("test1 2 NG\n");
		return NG;
	}
	
	return OK;
}

ReturnValue Test2::test2()
{
	return OK;
}

