/**
 * @file ManageThread.h
 * @date 2010/02/20 新規作成
 * @author
 *
 * Thread管理クラス
 */
#ifndef _MANAGE_THREAD_H_
#define _MANAGE_THREAD_H_

#include "ControlThread.h"
#include "CommandThreadStruct.h"

class ManageThread{
public :
	/*! デフォルトコンストラクタ */
	ManageThread();
	ControlThread&		getControlThread();
	TCommandThreadStruct&	getData();
	ReturnValue				run();
private :
	ControlThread			m_ControlThread;
	TCommandThreadStruct	m_CommandThreadStruct;
};
#endif /* _MANAGE_THREAD_H_ */
